<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SupplierList StructType
 * @subpackage Structs
 */
class SupplierList extends AbstractStructBase
{
    /**
     * The SupplierListRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SupplierListRQ
     */
    public $SupplierListRQ;
    /**
     * Constructor method for SupplierList
     * @uses SupplierList::setSupplierListRQ()
     * @param \StructType\JP_SupplierListRQ $supplierListRQ
     */
    public function __construct(\StructType\JP_SupplierListRQ $supplierListRQ = null)
    {
        $this
            ->setSupplierListRQ($supplierListRQ);
    }
    /**
     * Get SupplierListRQ value
     * @return \StructType\JP_SupplierListRQ|null
     */
    public function getSupplierListRQ()
    {
        return $this->SupplierListRQ;
    }
    /**
     * Set SupplierListRQ value
     * @param \StructType\JP_SupplierListRQ $supplierListRQ
     * @return \StructType\SupplierList
     */
    public function setSupplierListRQ(\StructType\JP_SupplierListRQ $supplierListRQ = null)
    {
        $this->SupplierListRQ = $supplierListRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SupplierList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
